org.jbpm.process.workitem.core.util

## Class WidProcessor

- java.lang.Object
- - javax.annotation.processing.AbstractProcessor
  - - org.jbpm.process.workitem.core.util.WidProcessor

- All Implemented Interfaces:
    Processor

      @SupportedAnnotationTypes(value="org.jbpm.process.workitem.core.util.Wid")
      public class WidProcessor
      extends AbstractProcessor

- - ### Field Summary

    - ### Fields inherited from class javax.annotation.processing.AbstractProcessor

      `processingEnv`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WidProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateWids(String[] widInfo, Map<String,WidInfo> wrappedResults)`
    `FileObject` | `getFileObject(String pkg, String name)`
    `ProcessingEnvironment` | `getProcessingEnvironment()`
    `Map<String,List<Wid>>` | `getProcessingResults()`
    `byte[]` | `getTemplateData(String templateResource, Map<String,WidInfo> widInfoMap)`
    `String` | `getTemplateResourceFileAsString(String resourceFileName)`
    `boolean` | `postProcessWorkItemDefinition()`
    `boolean` | `process(Set<? extends TypeElement> annotations, RoundEnvironment roundEnv)`
    `void` | `setProcessingResults(Map<String,List<Wid>> processingResults)`
    `void` | `setResetResults(boolean resetResults)`
    `void` | `writeStream(FileObject fileObject, byte[] data)`

    - ### Methods inherited from class javax.annotation.processing.AbstractProcessor

      `getCompletions, getSupportedAnnotationTypes, getSupportedOptions, getSupportedSourceVersion, init, isInitialized`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WidProcessor

          public WidProcessor()

  - ### Method Detail

    - #### process

          public boolean process(Set<? extends TypeElement> annotations,
                                 RoundEnvironment roundEnv)

      Specified by:
        `process` in interface `Processor`
      Specified by:
        `process` in class `AbstractProcessor`

    - #### postProcessWorkItemDefinition

          public boolean postProcessWorkItemDefinition()

    - #### generateWids

          public void generateWids(String[] widInfo,
                                   Map<String,WidInfo> wrappedResults)
                            throws IOException

      Throws:
        `IOException`

    - #### getTemplateData

          public byte[] getTemplateData(String templateResource,
                                        Map<String,WidInfo> widInfoMap)
                                 throws IOException

      Throws:
        `IOException`

    - #### writeStream

          public void writeStream(FileObject fileObject,
                                  byte[] data)
                           throws IOException

      Throws:
        `IOException`

    - #### getFileObject

          public FileObject getFileObject(String pkg,
                                          String name)
                                   throws IOException

      Throws:
        `IOException`

    - #### setResetResults

          public void setResetResults(boolean resetResults)

    - #### getProcessingResults

          public Map<String,List<Wid>> getProcessingResults()

    - #### setProcessingResults

          public void setProcessingResults(Map<String,List<Wid>> processingResults)

    - #### getTemplateResourceFileAsString

          public String getTemplateResourceFileAsString(String resourceFileName)
                                                 throws IOException

      Throws:
        `IOException`

    - #### getProcessingEnvironment

          public ProcessingEnvironment getProcessingEnvironment()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.